# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/SQLite.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Path.pm) perl(FindBin.pm) perl(Socket.pm) perl(Test.pm) perl(bytes.pm) perl(experimental.pm) perl(strict.pm) perl(utf8.pm) perl(vars.pm)
# END SourceDeps(oneline)
%define module_name GBK
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.22
Release: alt1
Summary: Source code filter to escape GBK script
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IN/INA/%{module_name}/GBK-%{version}.tar.gz
BuildArch: noarch

%description
use GBK;
  use GBK ver.sion;             --- require minimum version
  use GBK ver.sion.0;           --- expects version (match or die)
  use GBK qw(ord reverse getc); --- demand enhanced feature of ord, reverse, and getc
  use GBK ver.sion qw(ord reverse getc);
  use GBK ver.sion.0 qw(ord reverse getc);

  # "no GBK;" not supported

  or

  $ perl GBK.pm GBK_script.pl > Escaped_script.pl.e

  then

  $ perl Escaped_script.pl.e

  GBK_script.pl  --- script written in GBK
  Escaped_script.pl.e --- escaped script

  subroutines:
    GBK::ord(...);
    GBK::reverse(...);
    GBK::getc(...);
    GBK::length(...);
    GBK::substr(...);
    GBK::index(...);
    GBK::rindex(...);
    GBK::eval(...);
  functions:
    <*>
    glob(...);
    CORE::chop(...);
    CORE::ord(...);
    CORE::reverse(...);
    CORE::getc(...);
    CORE::index(...);
    CORE::rindex(...);
  dummy functions:
    utf8::upgrade(...);
    utf8::downgrade(...);
    utf8::encode(...);
    utf8::decode(...);
    utf8::is_utf8(...);
    utf8::valid(...);
    bytes::chr(...);
    bytes::index(...);
    bytes::length(...);
    bytes::ord(...);
    bytes::rindex(...);
    bytes::substr(...);

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README README2ND
%perl_vendor_privlib/E*
%perl_vendor_privlib/G*

%changelog
* Thu Aug 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- initial import by package builder

